package cooper

import (
	"errors"
	"net/url"
)

//单条线路关灯
func (that *CooperClient) NewUsrK3LightLineTurnOffRequest() *UsrK3LightLineTurnOffRequest {
	return &UsrK3LightLineTurnOffRequest{
		Request: Request{
			Client:     that,
			apiAddress: "/usrK3/lightLineTurnOff",
		},
	}
}

//UsrK3LightLineTurnOffRequest ...
type UsrK3LightLineTurnOffRequest struct {
	Request
}

//LineName
func (that *UsrK3LightLineTurnOffRequest) SetLineId(value int64) *UsrK3LightLineTurnOffRequest {
	that.initParams()
	that.params.Set("line_id", ToString(value))
	return that
}

//Params ...
func (that *UsrK3LightLineTurnOffRequest) Params() (url.Values, error) {
	that.initParams()
	_params := that.params
	if that.publicParamsSlice != nil {
		for _, _v := range that.publicParamsSlice {
			if _params.Get(_v) == "" {
				return nil, errors.New(that.apiAddress + "缺少参数:" + _v)
			}
		}
	}
	return _params, nil
}

//Do ...
func (that *UsrK3LightLineTurnOffRequest) Do() (interface{}, error) {
	//返回data
	_data, _err := that.Client.Post(that.apiAddress, that)
	if _err != nil {
		return nil, _err
	}
	return _data, nil
}
